// file: tr_tok_debug_0.cc
//

// isip include files
//
#include "train_token.h"
#include "train_token_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Train_Token::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s state_d = %ld\n", TRAIN_TOKEN_CLASS_NAME, message_a,
	  state_d);
  fprintf(fp_a, "%s::%s score_d = %.4f\n", TRAIN_TOKEN_CLASS_NAME, message_a,
	  score_d);
  fprintf(fp_a, "%s::%s trace_list_d = %p\n", TRAIN_TOKEN_CLASS_NAME, message_a,
	  trace_list_d);
  fprintf(fp_a, "%s::%s marker_d = %p\n", TRAIN_TOKEN_CLASS_NAME, message_a,
	  marker_d);
  fprintf(fp_a, "%s::%s prev_marker_d = %p\n", TRAIN_TOKEN_CLASS_NAME, message_a,
	  prev_marker_d);

  // exit gracefully
  //
  return ISIP_TRUE;
}
